Subject: RE: [dhcwg] [New I-D] DHCPv6 Relay Agent Link Selection(RALS) Option

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Tue, 3 Oct 2006 14:12:57 -0400

How is it better? Perhaps because you only need to test the fe80 bits
instead of checking that all 16-octets are 0? While that may be a small
consideration, I don't give it much weight.

I think there is more value in having something be 0 if it is
unset/unspecified rather than having to check for a specific value (such
as fe80...) or range of values.

And, could there be cases where there is no link-local address? If so,
you'd still have to support the 0 value.

So, my feeling is that you should use 0 unless you have something of
real value to put there.

I fully agree that this is not clearly specified in RFC 3315 and that
should definitely be cleared up in a 3315-bis document. However, I also
feel that the existing RFC 3315 text gives more weight to don't set the
field (ie, leave it 0) if you have no global/site-scoped address. In
general, when an RFC doesn't say to add something to a message or set a
given field, we have assumed it is 0.

- Bernie

-----Original Message-----
From: Templin, Fred L [mailto:[email-masked]] 
Sent: Tuesday, October 03, 2006 1:51 PM
To: Bernie Volz (volz); Amy
Cc: [email-masked]
Subject: RE: [dhcwg] [New I-D] DHCPv6 Relay Agent Link Selection(RALS)
Option

Bernie,

responding to:
> In other forums there has been some discussions as to whether to place
a
> link-local address into this field, but IMHO I think that is a bad
idea
> as it conveys no information
and:
> Just to be sure - I was talking only about the link-address field.
That
> is where a link-local address is useless.

OK, but then (RFC3315, Section 20.1.1) doesn't give clear guidance
on what the realy agent should write into "link-address" when there
there is no global/site-scoped address available for the link. Should
it say that the relay agent writes "0" into link-address in that case?
(Wouldn't writing a link-local address instead be better than "0"?)

Thanks - Fred
[email-masked]

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 3 Oct 2006 11:29:32 -0700

Bernie,

> given field, we have assumed it is 0.

The final sentence of (RFC3315, Section 21.1.1) strongly implies
that something other than 0 should be written, so it seems like
at least that much should be clarified in a -bis.

Thanks - Fred

- Bernie

-----Original Message-----
From: Templin, Fred L [mailto:[email-masked]] 
Sent: Tuesday, October 03, 2006 1:51 PM
To: Bernie Volz (volz); Amy
Cc: [email-masked]
Subject: RE: [dhcwg] [New I-D] DHCPv6 Relay Agent Link Selection(RALS)
Option

Bernie,

a
idea
That

Thanks - Fred

---

From: Amy Zhao <[email-masked]>
Date: Sun, 08 Oct 2006 11:55:52 +0800

Hello!
     To be honest, I am confused about your discussion.

     On the first-hop relay agent , the function of link-address is a hint
to server where the client is.   But on the non-first -hop relay agent, what
is the fuction of link-address, still a hint? or other function? I did not
see any clear descriptions in RFC3315. Maybe I missed it.
     
     If it is a hint, and if non-first-hop relay agent can not decide where
the client is, I think the relay agent should set the link-address to 0. And
I think it is not irrelate with the case that whether or not you have
global/site-scoped address.

    I think the function of link-address field on first-hop and
non-first-hop relay agent should be same. And in RFC3315, it is difference.
Why?

    Thanks.

B.R.
Amy 

> Sent: Wednesday, October 04, 2006 2:30 AM
> Subject: RE: [dhcwg] [New I-D] DHCPv6 Relay Agent Link 
> Selection(RALS) Option
> 
> Bernie,
> 
> > general, when an RFC doesn't say to add something to a 
> message or set
> a
> The final sentence of (RFC3315, Section 21.1.1) strongly 
> implies that something other than 0 should be written, so it 
> seems like at least that much should be clarified in a -bis.
> 
> Thanks - Fred
> Subject: RE: [dhcwg] [New I-D] DHCPv6 Relay Agent Link 
> Selection(RALS) Option
> 
> Bernie,
> 
> responding to:
> OK, but then (RFC3315, Section 20.1.1) doesn't give clear 
> guidance on what the realy agent should write into 
> "link-address" when there there is no global/site-scoped 
> address available for the link. Should it say that the relay 
> agent writes "0" into link-address in that case?